List vaults with optional filtering
curl --request GET \
--url https://earn.li.fi/v1/vaults \
--header 'x-lifi-api-key: <api-key>'import requests
url = "https://earn.li.fi/v1/vaults"
headers = {"x-lifi-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-lifi-api-key': '<api-key>'}};
fetch('https://earn.li.fi/v1/vaults', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://earn.li.fi/v1/vaults",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-lifi-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://earn.li.fi/v1/vaults"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-lifi-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://earn.li.fi/v1/vaults")
.header("x-lifi-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://earn.li.fi/v1/vaults")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-lifi-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"address": "0x7BfA7C4f149E7415b73bdeDfe609237e29CBF34A",
"network": "base",
"chainId": 8453,
"slug": "morpho-base-usdc-0x7bfa",
"name": "Morpho USDC Vault",
"description": "Optimized USDC lending vault on Morpho",
"protocol": {
"name": "Morpho",
"logoUri": "https://example.com/morpho-logo.png",
"url": "https://morpho.org"
},
"underlyingTokens": [
{
"address": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
"symbol": "USDC",
"decimals": 6,
"weight": 1
}
],
"lpTokens": [
{
"address": "0x7BfA7C4f149E7415b73bdeDfe609237e29CBF34A",
"symbol": "mUSDC",
"decimals": 18,
"priceUsd": "1.02"
}
],
"rewardTokens": [],
"tags": [
"stablecoin",
"lending"
],
"analytics": {
"apy": {
"base": 0.0534,
"reward": null,
"total": 0.0534
},
"apy1d": 0.0521,
"apy7d": 0.0538,
"apy30d": 0.0545,
"tvl": {
"usd": "12500000.00",
"native": "12500000000000"
},
"updatedAt": "2026-03-31T14:30:00.000Z"
},
"caps": {
"totalCap": "50000000000000",
"maxCap": "100000000000000"
},
"timeLock": 0,
"kyc": false,
"syncedAt": "2026-03-31T14:30:00.000Z",
"isTransactional": true,
"isRedeemable": true,
"depositPacks": [
{
"name": "morpho-deposit",
"stepsType": "instant"
}
],
"redeemPacks": [
{
"name": "morpho-redeem",
"stepsType": "instant"
}
]
}
],
"nextCursor": "eyJpZCI6MTAwfQ",
"total": 47
}{
"statusCode": 400,
"message": "Validation failed",
"errors": [
{
"code": "invalid_type",
"message": "Expected integer, received string",
"path": [
"chainId"
]
}
]
}Vaults
List vaults with optional filtering
Returns a paginated list of vaults with optional filtering and sorting.
GET
/
v1
/
vaults
List vaults with optional filtering
curl --request GET \
--url https://earn.li.fi/v1/vaults \
--header 'x-lifi-api-key: <api-key>'import requests
url = "https://earn.li.fi/v1/vaults"
headers = {"x-lifi-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-lifi-api-key': '<api-key>'}};
fetch('https://earn.li.fi/v1/vaults', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://earn.li.fi/v1/vaults",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-lifi-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://earn.li.fi/v1/vaults"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-lifi-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://earn.li.fi/v1/vaults")
.header("x-lifi-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://earn.li.fi/v1/vaults")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-lifi-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"address": "0x7BfA7C4f149E7415b73bdeDfe609237e29CBF34A",
"network": "base",
"chainId": 8453,
"slug": "morpho-base-usdc-0x7bfa",
"name": "Morpho USDC Vault",
"description": "Optimized USDC lending vault on Morpho",
"protocol": {
"name": "Morpho",
"logoUri": "https://example.com/morpho-logo.png",
"url": "https://morpho.org"
},
"underlyingTokens": [
{
"address": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
"symbol": "USDC",
"decimals": 6,
"weight": 1
}
],
"lpTokens": [
{
"address": "0x7BfA7C4f149E7415b73bdeDfe609237e29CBF34A",
"symbol": "mUSDC",
"decimals": 18,
"priceUsd": "1.02"
}
],
"rewardTokens": [],
"tags": [
"stablecoin",
"lending"
],
"analytics": {
"apy": {
"base": 0.0534,
"reward": null,
"total": 0.0534
},
"apy1d": 0.0521,
"apy7d": 0.0538,
"apy30d": 0.0545,
"tvl": {
"usd": "12500000.00",
"native": "12500000000000"
},
"updatedAt": "2026-03-31T14:30:00.000Z"
},
"caps": {
"totalCap": "50000000000000",
"maxCap": "100000000000000"
},
"timeLock": 0,
"kyc": false,
"syncedAt": "2026-03-31T14:30:00.000Z",
"isTransactional": true,
"isRedeemable": true,
"depositPacks": [
{
"name": "morpho-deposit",
"stepsType": "instant"
}
],
"redeemPacks": [
{
"name": "morpho-redeem",
"stepsType": "instant"
}
]
}
],
"nextCursor": "eyJpZCI6MTAwfQ",
"total": 47
}{
"statusCode": 400,
"message": "Validation failed",
"errors": [
{
"code": "invalid_type",
"message": "Expected integer, received string",
"path": [
"chainId"
]
}
]
}Query Parameters
Response
Paginated vault list

